%global enable_tests 1
%global srcname compress-commons

%global commit0 5dacf567822ea0ad23eca0eb09b6a21c559b84c5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner ctalkington

Name:           nodejs-%{srcname}
Version:        0.4.1
Release:        3%{?dist}
Summary:        A library that defines a common interface for working with archive formats
License:        MIT
URL:            https://github.com/ctalkington/node-compress-commons
Source0:        https://github.com/%{owner}/node-%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  dos2unix

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(mocha)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(buffer-crc32)
BuildRequires:  npm(crc32-stream)
BuildRequires:  npm(node-int64)
%endif


%description
Compress Commons is a library that defines a common interface for working with 
archive formats within node.

%prep
%setup -qn node-%{srcname}-%{commit0}
rm -rf node_modules/
dos2unix README.md LICENSE
%nodejs_fixdep readable-stream
%nodejs_fixdep node-int64 '0.x'
%nodejs_fixdep crc32-stream '0.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Sat Oct 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Jul 22 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.2.9-3
- fixdep npm(readable-stream)

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.9-2
- Fixdep node-int64

* Mon Jul 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.9-1
- Update to upstream 0.2.9

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.2.7-1
- Update to upstream 0.2.7
- Move license to %%license

* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.2.0-1
- Initial package
